
#pragma once
#include "afxcmn.h"
#include "swallow.h"
#include "CLS_CfgBasePage.h"


class CLS_DlgCfgMain : public CLS_CfgBasePage
{
	DECLARE_DYNAMIC(CLS_DlgCfgMain)

public:
	CLS_DlgCfgMain(CWnd* pParent = NULL);   // ׼캯
	virtual ~CLS_DlgCfgMain();

// Ի
	enum { IDD = IDD_DLG_CFG_MAIN };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV ֧

	DECLARE_MESSAGE_MAP()

public:
	CSwallow m_swallowCfg;

	CSwallow* m_pSwallowConfig;
	CTreeCtrl m_treeDevice;
	CTreeCtrl m_treeConfig;

	CLS_CfgBasePage* m_pPage[CFG_MAX];
	CLS_CfgBasePage* m_pCurCfgPage;

private:
	int InitDeviceTree();
	int AddChannelItem(int _iChanNo, int _iChanType, HTREEITEM _hParent);
	int MakeChannel( int _iChanNo, int _iStreamNo, unsigned int* _puChannel);
	int AnalyzeChannel(unsigned int _uChannel,int* _piChannelNo,int* _piStreamNo);
	int InitFunctionTree();
	int ShowCfgPage(int _iIndex);
	void ConnectVideo();

public:
	virtual BOOL OnInitDialog();	
	afx_msg void OnDestroy();
	DECLARE_EVENTSINK_MAP()
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnNMDblclkTreeDevice(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnTvnSelchangingTreeConfig(NMHDR *pNMHDR, LRESULT *pResult);
	void OnPicStreamInfoSwallowCfgVideo(LPCTSTR _bstrResult);
};
