
#include "stdafx.h"
#include "../OCXPlayDemo.h"
#include "CLS_DlgCfgPicStream.h"


IMPLEMENT_DYNAMIC(CLS_DlgCfgPicStream, CDialog)

CLS_DlgCfgPicStream::CLS_DlgCfgPicStream(CWnd* pParent /*=NULL*/)
	: CLS_CfgBasePage(CLS_DlgCfgPicStream::IDD, pParent)
{

}

CLS_DlgCfgPicStream::~CLS_DlgCfgPicStream()
{
}

void CLS_DlgCfgPicStream::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_CHK_PIC_STREAM, m_chkPicstream);
	DDX_Control(pDX, IDC_LIST_PICSTREAM, m_listPicInfoList);
}


BEGIN_MESSAGE_MAP(CLS_DlgCfgPicStream, CDialog)
	ON_WM_SHOWWINDOW()
	ON_BN_CLICKED(IDC_CHK_PIC_STREAM, &CLS_DlgCfgPicStream::OnBnClickedChkPicStream)
	ON_BN_CLICKED(IDC_BTN_GET_PIC_STREAM_INFO, &CLS_DlgCfgPicStream::OnBnClickedBtnGetPicStreamInfo)
END_MESSAGE_MAP()


BOOL CLS_DlgCfgPicStream::OnInitDialog()
{
	CLS_CfgBasePage::OnInitDialog();

	return TRUE;
}

void CLS_DlgCfgPicStream::OnShowWindow(BOOL bShow, UINT nStatus)
{
	CLS_CfgBasePage::OnShowWindow(bShow, nStatus);
}


void CLS_DlgCfgPicStream::OnBnClickedChkPicStream()
{
	BOOL blStartPicStream = m_chkPicstream.GetCheck();
	if (blStartPicStream)
	{
		Swallow_StartPicStream(m_pSwallowCfg, m_iLogonId, 0);
	}
	else
	{
		Swallow_StopPicStream(m_pSwallowCfg, m_iLogonId, 0);
	}
}

void CLS_DlgCfgPicStream::OnBnClickedBtnGetPicStreamInfo()
{
	CString cstrPicStreamInfo;
	int iRet = Swallow_GetPicStream(m_pSwallowCfg, m_iLogonId, 0, cstrPicStreamInfo);
	if (iRet < 0)
	{
		cstrPicStreamInfo = "get pic info failed!";
		return;
	}

	SetDlgItemText(IDC_EDT_PIC_STREAM, cstrPicStreamInfo);
}

void CLS_DlgCfgPicStream::OnPicStreamInfo(LPCTSTR _bstrResult)
{
	m_listPicInfoList.InsertString(0, _bstrResult);
}
